Loading...
Searching...
No Matches
oscap_stringlist_iterator Struct Reference
Common » STRINGS

Iterator over collections of strings. More...

`#include <oscap_text.h>`

## Public Member Functions

Iterators
OSCAP_API struct oscap_stringlist * | oscap_stringlist_iterator_next (struct oscap_stringlist_iterator *it)
OSCAP_API bool | oscap_stringlist_iterator_has_more (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator_free (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator_remove (struct oscap_stringlist_iterator *it)
OSCAP_API void | oscap_stringlist_iterator_reset (struct oscap_stringlist_iterator *it)

## Detailed Description

Iterator over collections of strings.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- oscap_text.h